summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xetc/rc.d/tmp6
1 files changed, 4 insertions, 2 deletions
diff --git a/etc/rc.d/tmp b/etc/rc.d/tmp
index 9750b6e..abf53ac 100755
--- a/etc/rc.d/tmp
+++ b/etc/rc.d/tmp
@@ -43,8 +43,10 @@ load_rc_config $name
#
case "${tmpmfs}" in
[Yy][Ee][Ss])
- mount_md ${tmpsize} /tmp "${tmpmfs_flags}"
- chmod 01777 /tmp
+ if ! /bin/df /tmp | grep -q "^/dev/md[0-9]"; then
+ mount_md ${tmpsize} /tmp "${tmpmfs_flags}"
+ chmod 01777 /tmp
+ fi
;;
[Nn][Oo])
;;
OpenPOWER on IntegriCloud